<?xml version="1.0"?>
<instrumentationManifest
  xsi:schemaLocation="http://schemas.microsoft.com/win/2004/08/events eventman.xsd"
  xmlns="http://schemas.microsoft.com/win/2004/08/events"
  xmlns:win="http://manifests.microsoft.com/win/2004/08/windows/events"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xmlns:xs="http://www.w3.org/2001/XMLSchema"
  xmlns:trace="http://schemas.microsoft.com/win/2004/08/events/trace">
  <instrumentation>
    <events>
      <provider name="NAUGHTER-EVENTLOGDEMO"
        guid="{0B70D44F-C677-4A9C-A1B8-CE0F960DF341}"
        symbol="EVENTLOGDEMO_EVENTLOG_PROVIDER"
        resourceFileName="EventLogWrappers.exe"
        messageFileName="EventLogWrappers.exe">

        <channels>
          <channel chid="c1" name="NAUGHTER-EVENTLOGDEMO/Operational" type="Operational" symbol="EVENTLOGDEMO_OPERATIONAL_CHANNEL" enabled="true"/>
        </channels>

        <templates>
          <template tid="tString">
            <data name="String" inType="win:UnicodeString"/>
          </template>
        </templates>

        <events>
          <event value="1"  level="win:Error"         channel="c1" symbol="EVENT_1"  message="$(string.event.1.message)"/>
          <event value="2"  level="win:Warning"       channel="c1" symbol="EVENT_2"  message="$(string.event.2.message)"  template="tString"/>
          <event value="3"  level="win:Informational" channel="c1" symbol="EVENT_3"  message="$(string.event.3.message)"  template="tString"/>
          <event value="4"  level="win:Error"         channel="c1" symbol="EVENT_4"  message="$(string.event.4.message)"  template="tString"/>
        </events>
      </provider>

    </events>

  </instrumentation>

  <localization>
    <resources culture="en-US">
      <stringTable>
        <string id="event.1.message"  value="Sample entry 1."/>
        <string id="event.2.message"  value="Sample entry 2, String:%1."/>
        <string id="event.3.message"  value="Sample entry 3, String:%1."/>
        <string id="event.4.message"  value="Sample entry 4, String:%1."/>

      </stringTable>
    </resources>
  </localization>
</instrumentationManifest>